/**
 * Include this VCL when you are using authcache_debug. Make sure that this VCL
 * is evaluated as late as possible.
 */

sub vcl_deliver {
  // Only set cookie indicating a hit when:
  // 1. There was at least one cache hit for the content being delivered
  // 2. The cache_render was set to "get" from within authcache-debug.js
  // 3. The page was actually generated by Drupal.
  if (obj.hits > 0 && req.http.Cookie ~ "(^|;)\s*cache_render=get\s*($|;)" && resp.http.X-Generator ~ "Drupal") {
    set resp.http.Set-Cookie = "cache_render=hit; Path=/";
  }
}
